#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------
## Daniel Wollschlger <dwoll [at] psychologie.uni-kiel.de>
## ergnzende Befehle zum Buch "Grundlagen der Datenanalyse mit R" (Springer)
## http://www.uni-kiel.de/psychologie/dwoll/r/
## Stand: 19.12.10
##
## Vgl. Abschnitt 4.1, um die folgenden Befehle auszufhren.
#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------

##### 2.8.2 Faktoren kombinieren
(fac1     <- factor(sample(LETTERS, 5)))
(fac2     <- factor(sample(letters, 3)))
(charVec1 <- levels(fac1)[fac1])
(charVec2 <- levels(fac2)[fac2])
factor(c(charVec1, charVec2))

rep(fac1, 2)

(IV1 <- factor(rep(c("lo", "hi"), each=6)))
(IV2 <- factor(rep(1:3, 4)))
interaction(IV1, IV2)
